program calc3;
uses crt;
var
a,c,d,e,x,aa: real;
b,f: char;
begin
repeat
writeln('Напишите первый знак');
readln(a);
writeln('Напишите знак');
readln(b);
writeln('Напишите второй знак');
readln(c);
writeln('Напишите знак');
readln(f);
writeln('Напишите третий знак');
readln(x);
write('Ожидайте');
sleep(1000);
write('.');
sleep(1000);
write('.');
sleep(1000);
write('.');
case b of
  '+': d:=a+c;
  '-': d:=a-c;
  '*': d:=a*c;
  '/': d:=a/c;
end;
Writeln('50%');
case f of
  '+': aa:=d+x;
  '-': aa:=d-x;
  '*': aa:=d*x;
  '/': aa:=d/x;
end;
writeln('');
write('ответ=');
writeln(aa);
writeln('==========================================');
until e=228
end.